Closed Bug 1411187 Opened 2 years ago Closed 2 years ago

mingw32 build busted by bug 1385461 google/protobuf/stubs/logging.h:147:7: error: 'LOGLEVEL_0' is not a member of 'google::protobuf'

Categories

(Core :: General, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla58
Tracking Status
firefox58 --- fixed

People

(Reporter: aryx, Assigned: francois)

References

Details

(Whiteboard: [stockwell infra])

Attachments

(1 file)

Push which started bustage: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=c8fea1a40065b9cd9c68266cbea408f9cb1bb305&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable&filter-resultStatus=success

Build log: https://treeherder.mozilla.org/logviewer.html#?job_id=139056646&repo=autoland

[task 2017-10-24T00:49:13.210Z] 00:49:13     INFO -  In file included from /builds/worker/workspace/build/src/obj-firefox/dist/include/google/protobuf/stubs/common.h:50:0,
[task 2017-10-24T00:49:13.210Z] 00:49:13     INFO -                   from /builds/worker/workspace/build/src/obj-firefox/dist/include/google/protobuf/stubs/atomicops.h:59,
[task 2017-10-24T00:49:13.210Z] 00:49:13     INFO -                   from /builds/worker/workspace/build/src/toolkit/components/protobuf/src/google/protobuf/stubs/atomicops_internals_x86_msvc.cc:37,
[task 2017-10-24T00:49:13.210Z] 00:49:13     INFO -                   from /builds/worker/workspace/build/src/obj-firefox/toolkit/components/protobuf/Unified_cpp_components_protobuf2.cpp:2:
[task 2017-10-24T00:49:13.211Z] 00:49:13     INFO -  /builds/worker/workspace/build/src/toolkit/components/protobuf/src/google/protobuf/stubs/strutil.cc: In function 'int google::protobuf::UnescapeCEscapeSequences(const char*, char*, std::vector<std::__cxx11::basic_string<char> >*)':
[task 2017-10-24T00:49:13.211Z] 00:49:13     INFO -  /builds/worker/workspace/build/src/obj-firefox/dist/include/google/protobuf/stubs/logging.h:147:7: error: 'LOGLEVEL_0' is not a member of 'google::protobuf'
[task 2017-10-24T00:49:13.211Z] 00:49:13     INFO -         ::google::protobuf::LOGLEVEL_##LEVEL, __FILE__, __LINE__)
[task 2017-10-24T00:49:13.218Z] 00:49:13     INFO -         ^
[task 2017-10-24T00:49:13.218Z] 00:49:13     INFO -  /builds/worker/workspace/build/src/obj-firefox/dist/include/google/protobuf/stubs/logging.h:149:28: note: in expansion of macro 'GOOGLE_LOG'
Flags: needinfo?(tom)
Summary: mingw32 build busted by bug 1385461 → mingw32 build busted by bug 1385461 google/protobuf/stubs/logging.h:147:7: error: 'LOGLEVEL_0' is not a member of 'google::protobuf'
It looks like this was broken by Bug 1385461.

I think it's probably this line: http://searchfox.org/mozilla-central/rev/d30462037ffea383e74c42542c820cf65b2b144e/toolkit/components/protobuf/m-c-changes.patch#203 which should be checking for our normal detect of Windows (XP_WIN) rather than compiler-specific things.
Flags: needinfo?(tom) → needinfo?(francois)
(In reply to Tom Ritter [:tjr] from comment #1)
> It looks like this was broken by Bug 1385461.

Yes, in fact, it looks exactly like the problem I ran into with MSVC:
https://github.com/google/protobuf/pull/3745

and ended up fixing by defining NOGDI:
https://reviewboard.mozilla.org/r/189366/diff/2-3/

What's the equivalent of "if CONFIG['_MSC_VER']" in mingw32 land?

> I think it's probably this line:
> http://searchfox.org/mozilla-central/rev/
> d30462037ffea383e74c42542c820cf65b2b144e/toolkit/components/protobuf/m-c-
> changes.patch#203 which should be checking for our normal detect of Windows
> (XP_WIN) rather than compiler-specific things.

That customization has since been removed:
https://hg.mozilla.org/mozilla-central/diff/aca83df2ce2e/toolkit/components/protobuf/m-c-changes.patch

It looks like searchfox isn't up to date yet because that file doesn't include the problematic line you found:
https://hg.mozilla.org/mozilla-central/file/tip/toolkit/components/protobuf/m-c-changes.patch
Flags: needinfo?(francois) → needinfo?(tom)
(In reply to François Marier [:francois] from comment #2)
> What's the equivalent of "if CONFIG['_MSC_VER']" in mingw32 land?

For a moz.build file? If you want all Windows targets: CONFIG['OS_TARGET'] == 'WINNT'

If you want just MinGW: the above plus CONFIG['CC_TYPE'] == 'gcc'
Flags: needinfo?(tom) → needinfo?(francois)
Assignee: nobody → francois
Status: NEW → ASSIGNED
Flags: needinfo?(francois)
Comment on attachment 8921676 [details]
Bug 1411187 - Build protobuf with NOGDI on all Windows builds.

https://reviewboard.mozilla.org/r/192688/#review197900
Attachment #8921676 - Flags: review?(tom) → review+
Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/integration/autoland/rev/62ef1ea3f58e
Build protobuf with NOGDI on all Windows builds. r=tjr
Whiteboard: [stockwell infra]
https://hg.mozilla.org/mozilla-central/rev/62ef1ea3f58e
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
(In reply to OrangeFactor Robot from comment #11)
> 122 failures in 912 pushes (0.134 failures/push) were associated with this
> bug in the last 7 days. 

[snip]

> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1411187&startday=2017-10-23&endday=2017-10-29&tree=all

There are no failures from 26 Oct onwards.
You need to log in before you can comment on or make changes to this bug.